pfSense Packages - Feature #1100

Add additional ports to squid (includes patch)
12/14/2010 06:27 PM - Yehuda Katz

Status: Resolved Start date: 12/14/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Squid Estimated time: 0.00 hour

Target version:

Plus Target Version:

Description

Background:

People on our network use Citrix XenApp to connect to other locations.

Citrix XenApp uses TCP ports 1494 2598 8443 and uses the windows proxy settings, therefore these ports must be added to the
squid configuration.

The attached patch adds two new fields in the squid config:
acl safeports - This is a space-separated list of "safe ports" in addition to the already defined list
acl sslports - This is a space-separated list of ports to allow SSL "CONNECT" in addition to the already defined list

History

#1 - 12/20/2010 02:01 PM - Jim Pingle

One problem with what you have:

squid_resync_nac() which contains your change:

$Ssettings = S$config['installedpackages']['squid']['config'][0]; /* squidnac does not exist */

squidnac does exist, but only if you have settings on the Access Control tab of squid, which is handled in squid_nac.xml - where these settings should
probably go.

Can you try to make the changes there instead, and restore that line to its previous reference to 'squidnac' instead of 'squid' so it doesn't break the
other settings on the access control tab.

Thanks!

#2 - 12/21/2010 01:27 AM - Yehuda Katz
- File diff_squid.inc.diff added
- File diff_squid_nac.xml.diff added

OK. I moved the options to the AC page.

#3 - 12/21/2010 01:29 AM - Yehuda Katz

Of course, again, | upload the wrong files.
Please wait...

#4 - 12/21/2010 01:31 AM - Yehuda Katz
- File diff_squid.inc.diff added

This is the correct one.
The SSH program | use to copy the files from my pfSense dev box to my regular computer sometimes caches the old versions of the files, | really
should check them every time before uploading.

#5 - 12/21/2010 04:35 PM - Jim Pingle
- Status changed from New to Feedback

- % Done changed from 0 to 100
Applied in changeset commit:"dd44ad60dc3f3f7e736e26644{7ea706127a6779".

#6 - 02/09/2012 12:53 PM - Jim Pingle
Applied in changeset commit:dfbb5e15dfdcacafbb7544257da252a0c4ea33ed.

#7 - 07/05/2012 04:54 PM - Jim Pingle

- Status changed from Feedback to Resolved

Files

diff_squid.inc.diff 1.06 KB 12/14/2010 Yehuda Katz
diff_squid.xml.diff 977 Bytes 12/14/2010 Yehuda Katz
diff_squid.inc.diff 1.06 KB 12/21/2010 Yehuda Katz
diff_squid_nac.xml.diff 980 Bytes 12/21/2010 Yehuda Katz
diff_squid.inc.diff 919 Bytes 12/21/2010 Yehuda Katz
